Subject: Re: bug#30187: M-e should restore isearch correctly in special modes

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Jan 2018 18:00:40 +0200

> From: Juri Linkov <[email-masked]>
> Date: Sat, 20 Jan 2018 23:10:16 +0200
> 
> All imaginable solutions were very bad.  But now I found a solution
> that at least not bad.  It changes the global value of customizable
> variables for the time while isearch is active (including the time
> when isearch is suspended temporarily), and restores the original value
> afterwards.

What if the user QUITs out of the search -- will the original value be
restored?

Thanks.